Package org.apache.synapse.transport.netty

## Class BridgeConstants

- java.lang.Object
- - org.apache.synapse.transport.netty.BridgeConstants

-     public class BridgeConstants
      extends Object

  `BridgeConstants` contains the constants related to netty axis2 bridge.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ALWAYS` |
    `static String` | `AUTO` |
    `static String` | `BRIDGE_LOG_PREFIX` |
    `static String` | `BUFFERED_INPUT_STREAM` |
    `static String` | `CACHE_DELAY` |
    `static String` | `CACHE_SIZE` |
    `static String` | `CARBON_SERVER_XML_NAMESPACE` |
    `static String` | `CHANNEL_HANDLER_CONTEXT` |
    `static String` | `CHUNKING_CONFIG` |
    `static String` | `CIPHERS` |
    `static String` | `CLIENT_REVOCATION` |
    `static String` | `CONF_LOCATION` |
    `static String` | `CONTENT_LEN` |
    `static String` | `CONTENT_TYPE_APPLICATION_OCTET_STREAM` |
    `static String` | `CONTENT_TYPE_HEADER` |
    `static String` | `DEFAULT_OUTBOUND_USER_AGENT` |
    `static String` | `DEFAULT_REQUEST_CONTENT_TYPE` |
    `static String` | `DEFAULT_VERSION_HTTP_1_1` |
    `static String` | `DISABLE_CHUNKING` | If you set this to true, it disables HTTP chunking for outgoing messages.
    `static String` | `ERROR_CODE` | The message context property name which holds the error code for the last encountered exception.
    `static String` | `ERROR_DETAIL` | The message context property name which holds the error detail (stack trace) for the last encountered exception.
    `static String` | `ERROR_EXCEPTION` | The message context property name which holds the exception (if any) for the last encountered exception.
    `static String` | `ERROR_MESSAGE` | The MC property name which holds the error message for the last encountered exception.
    `static String` | `ETAG_HEADER` |
    `static String` | `FAULT_MESSAGE` |
    `static String` | `FAULTS_AS_HTTP_200` | When ESB receives a soap fault as a HTTP 500 message, ESB will forward this fault to client with status code 200.
    `static String` | `FORCE_HTTP_1_0` | Force HTTP 1.0 for outgoing HTTP messages.
    `static String` | `FORCE_HTTP_CONTENT_LENGTH` | If the request sent by the client contains the ‘Content-Length’ header, this property allows the ESB to send the request with the content length (without HTTP chunking) to the back end server.
    `static String` | `FORCE_SC_ACCEPTED` | When set to true, this property forces a 202 HTTP response to the client immediately after the current execution thread finishes, so that the client stops waiting for a response.
    `static String` | `FORCE_SOAP_FAULT` |
    `static String` | `FULL_URI` |
    `static String` | `HOSTNAME_PARAM` |
    `static String` | `HOSTNAME_VERIFIER` |
    `static float` | `HTTP_1_0` |
    `static String` | `HTTP_1_0_VERSION` |
    `static float` | `HTTP_1_1` |
    `static String` | `HTTP_1_1_VERSION` |
    `static String` | `HTTP_2_0` |
    `static String` | `HTTP_2_0_VERSION` |
    `static String` | `HTTP_202_RECEIVED` | A message context property indicating "TRUE".
    `static String` | `HTTP_ACCESS_LOG` |
    `static String` | `HTTP_ACCESS_LOG_ENABLED` |
    `static String` | `HTTP_CARBON_MESSAGE` |
    `static String` | `HTTP_CLIENT_REQUEST_CARBON_MESSAGE` |
    `static String` | `HTTP_CONNECT` |
    `static String` | `HTTP_DEFAULT_HOST` |
    `static String` | `HTTP_DELETE` |
    `static String` | `HTTP_ETAG_ENABLED` | This property determines whether the HTTP Etag should be enabled for the request or not.
    `static String` | `HTTP_GET` |
    `static String` | `HTTP_HEAD` |
    `static String` | `HTTP_HOST` |
    `static String` | `HTTP_METHOD` |
    `static String` | `HTTP_OPTIONS` |
    `static String` | `HTTP_PORT` |
    `static String` | `HTTP_POST` |
    `static String` | `HTTP_PROTOCOL_VERSIONS_PARAM` |
    `static String` | `HTTP_PUT` |
    `static String` | `HTTP_REASON_PHRASE_SENT_FROM_BACKEND` |
    `static String` | `HTTP_SC` | The HTTP status code.
    `static String` | `HTTP_SC_DESC` | HTTP response's Reason- Phrase that is sent by the backend.
    `static String` | `HTTP_SOURCE_CONFIGURATION` |
    `static String` | `HTTP_STATUS_CODE_SENT_FROM_BACKEND` |
    `static String` | `HTTP_TARGET_CONFIGURATION` |
    `static String` | `HTTP_TRACE_LOG` |
    `static String` | `HTTP_TRACE_LOG_ENABLED` |
    `static String` | `HTTP_VERSION_PREFIX` |
    `static String` | `HTTPS_PROTOCOL` |
    `static String` | `IGNORE_SC_ACCEPTED` |
    `static String` | `INTERNAL_EXCEPTION_ORIGIN` |
    `static String` | `INTERNAL_ORIGIN_ERROR_HANDLER` |
    `static String` | `INVOKED_REST` |
    `static String` | `IS_PUSH_PROMISE` | A message context property indicating "TRUE" means the response is a server push promise.
    `static String` | `JSON_CONTENT_TYPE` |
    `static String` | `KEY_PASSWORD` |
    `static String` | `KEY_STORE` |
    `static String` | `LOCATION` |
    `static String` | `MESSAGE_BUILDER_INVOKED` |
    `static String` | `MESSAGE_OUTPUT_FORMAT` |
    `static String` | `NEVER` |
    `static String` | `NIO_ACK_REQUESTED` |
    `static long` | `NO_CONTENT_LENGTH_FOUND` |
    `static String` | `NO_ENTITY_BODY` |
    `static String` | `NO_KEEPALIVE` | Disables HTTP keep alive for outgoing requests.
    `static String` | `NO_VALIDATE_CERT` |
    `static String` | `NON_BLOCKING_TRANSPORT` |
    `static short` | `ONE_BYTE` |
    `static String` | `PASSWORD` |
    `static String` | `POOLED_BYTE_BUFFER_FACTORY` |
    `static String` | `PORT_PARAM` |
    `static String` | `POST_TO_URI` | This property makes the outgoing URL of the ESB a complete URL.
    `static String` | `PRE_LOCATION_HEADER` |
    `static String` | `PREFERRED_CIPHERS` |
    `static String` | `PROTOCOL` |
    `static String` | `PROTOCOL_HTTP` |
    `static String` | `PROTOCOL_HTTPS` |
    `static String` | `PUSH_PROMISE` | A message context property that has the push promise from backend server if it is a server push response.
    `static String` | `RAW_PAYLOAD` | An Axis2 message context property that hols the raw payload when an error occurs while building message.
    `static String` | `RELAY_EARLY_BUILD` |
    `static String` | `REMOTE_HOST` |
    `static String` | `REQUEST_HOST_HEADER` | The value of this property will be set as the HTTP host header of outgoing request.
    `static String` | `REST_REQUEST_CONTENT_TYPE` |
    `static String` | `REST_URL_POSTFIX` |
    `static String` | `SC_ACCEPTED` |
    `static String` | `SENDING_FAULT` | An Axis2 message context property indicating a transport send failure.
    `static String` | `SERVER_PUSH` | A message context property indicating "TRUE" means the response is a server push.
    `static String` | `SERVER_PUSH_RESOURCE_PATH` | A synapse message context property that defines the resource path of the push response.
    `static String` | `SERVER_PUSH_SEQUENCE` | A message context property that stores the sequence that process server pushes.
    `static String` | `SERVICE_PREFIX` |
    `static String` | `SET_CHARACTER_ENCODING` |
    `static String` | `SOAP_ACTION_HEADER` |
    `static String` | `SSL_ENABLED_PROTOCOLS` |
    `static String` | `SSL_HANDSHAKE_TIMEOUT` |
    `static String` | `SSL_PROTOCOL` |
    `static String` | `SSL_SESSION_TIMEOUT` |
    `static String` | `SSL_VERIFY_CLIENT` |
    `static String` | `STORE_LOCATION` |
    `static String` | `TLS_PROTOCOL` |
    `static String` | `TO` |
    `static String` | `TRANSFER_ENCODING` |
    `static String` | `TRANSPORT_HTTPSWSS` |
    `static String` | `TRANSPORT_HTTPWS` |
    `static String` | `TRANSPORT_MESSAGE_HANDLER` |
    `static String` | `TRUE` |
    `static String` | `TRUST_STORE` |
    `static String` | `TYPE` |
    `static String` | `VALID_CACHED_RESPONSE` |
    `static String` | `VALUE_FALSE` |
    `static String` | `VALUE_TRUE` |
    `static String` | `WSDL_REQUEST_HANDLED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BridgeConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRANSPORT_HTTPWS

          public static final String TRANSPORT_HTTPWS

      See Also:
        Constant Field Values

    - #### TRANSPORT_HTTPSWSS

          public static final String TRANSPORT_HTTPSWSS

      See Also:
        Constant Field Values

    - #### PORT_PARAM

          public static final String PORT_PARAM

      See Also:
        Constant Field Values

    - #### HOSTNAME_PARAM

          public static final String HOSTNAME_PARAM

      See Also:
        Constant Field Values

    - #### HTTP_PROTOCOL_VERSIONS_PARAM

          public static final String HTTP_PROTOCOL_VERSIONS_PARAM

      See Also:
        Constant Field Values

    - #### BRIDGE_LOG_PREFIX

          public static final String BRIDGE_LOG_PREFIX

      See Also:
        Constant Field Values

    - #### VALUE_TRUE

          public static final String VALUE_TRUE

      See Also:
        Constant Field Values

    - #### VALUE_FALSE

          public static final String VALUE_FALSE

      See Also:
        Constant Field Values

    - #### TRUE

          public static final String TRUE

      See Also:
        Constant Field Values

    - #### NO_ENTITY_BODY

          public static final String NO_ENTITY_BODY

      See Also:
        Constant Field Values

    - #### PROTOCOL

          public static final String PROTOCOL

      See Also:
        Constant Field Values

    - #### REMOTE_HOST

          public static final String REMOTE_HOST

      See Also:
        Constant Field Values

    - #### HTTP_METHOD

          public static final String HTTP_METHOD

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_HEADER

          public static final String CONTENT_TYPE_HEADER

      See Also:
        Constant Field Values

    - #### SOAP_ACTION_HEADER

          public static final String SOAP_ACTION_HEADER

      See Also:
        Constant Field Values

    - #### TRANSFER_ENCODING

          public static final String TRANSFER_ENCODING

      See Also:
        Constant Field Values

    - #### CONTENT_LEN

          public static final String CONTENT_LEN

      See Also:
        Constant Field Values

    - #### REST_URL_POSTFIX

          public static final String REST_URL_POSTFIX

      See Also:
        Constant Field Values

    - #### SERVICE_PREFIX

          public static final String SERVICE_PREFIX

      See Also:
        Constant Field Values

    - #### FAULT_MESSAGE

          public static final String FAULT_MESSAGE

      See Also:
        Constant Field Values

    - #### REST_REQUEST_CONTENT_TYPE

          public static final String REST_REQUEST_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### HTTP_CARBON_MESSAGE

          public static final String HTTP_CARBON_MESSAGE

      See Also:
        Constant Field Values

    - #### HTTP_CLIENT_REQUEST_CARBON_MESSAGE

          public static final String HTTP_CLIENT_REQUEST_CARBON_MESSAGE

      See Also:
        Constant Field Values

    - #### TRANSPORT_MESSAGE_HANDLER

          public static final String TRANSPORT_MESSAGE_HANDLER

      See Also:
        Constant Field Values

    - #### MESSAGE_BUILDER_INVOKED

          public static final String MESSAGE_BUILDER_INVOKED

      See Also:
        Constant Field Values

    - #### NO_CONTENT_LENGTH_FOUND

          public static final long NO_CONTENT_LENGTH_FOUND

      See Also:
        Constant Field Values

    - #### ONE_BYTE

          public static final short ONE_BYTE

      See Also:
        Constant Field Values

    - #### INVOKED_REST

          public static final String INVOKED_REST

      See Also:
        Constant Field Values

    - #### NON_BLOCKING_TRANSPORT

          public static final String NON_BLOCKING_TRANSPORT

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_APPLICATION_OCTET_STREAM

          public static final String CONTENT_TYPE_APPLICATION_OCTET_STREAM

      See Also:
        Constant Field Values

    - #### JSON_CONTENT_TYPE

          public static final String JSON_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### RELAY_EARLY_BUILD

          public static final String RELAY_EARLY_BUILD

      See Also:
        Constant Field Values

    - #### HTTP_SOURCE_CONFIGURATION

          public static final String HTTP_SOURCE_CONFIGURATION

      See Also:
        Constant Field Values

    - #### HTTP_TARGET_CONFIGURATION

          public static final String HTTP_TARGET_CONFIGURATION

      See Also:
        Constant Field Values

    - #### POOLED_BYTE_BUFFER_FACTORY

          public static final String POOLED_BYTE_BUFFER_FACTORY

      See Also:
        Constant Field Values

    - #### MESSAGE_OUTPUT_FORMAT

          public static final String MESSAGE_OUTPUT_FORMAT

      See Also:
        Constant Field Values

    - #### FORCE_SOAP_FAULT

          public static final String FORCE_SOAP_FAULT

      See Also:
        Constant Field Values

    - #### NIO_ACK_REQUESTED

          public static final String NIO_ACK_REQUESTED

      See Also:
        Constant Field Values

    - #### WSDL_REQUEST_HANDLED

          public static final String WSDL_REQUEST_HANDLED

      See Also:
        Constant Field Values

    - #### DEFAULT_REQUEST_CONTENT_TYPE

          public static final String DEFAULT_REQUEST_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### VALID_CACHED_RESPONSE

          public static final String VALID_CACHED_RESPONSE

      See Also:
        Constant Field Values

    - #### ETAG_HEADER

          public static final String ETAG_HEADER

      See Also:
        Constant Field Values

    - #### PRE_LOCATION_HEADER

          public static final String PRE_LOCATION_HEADER

      See Also:
        Constant Field Values

    - #### FULL_URI

          public static final String FULL_URI

      See Also:
        Constant Field Values

    - #### INTERNAL_EXCEPTION_ORIGIN

          public static final String INTERNAL_EXCEPTION_ORIGIN

      See Also:
        Constant Field Values

    - #### INTERNAL_ORIGIN_ERROR_HANDLER

          public static final String INTERNAL_ORIGIN_ERROR_HANDLER

      See Also:
        Constant Field Values

    - #### LOCATION

          public static final String LOCATION

      See Also:
        Constant Field Values

    - #### CONF_LOCATION

          public static final String CONF_LOCATION

      See Also:
        Constant Field Values

    - #### BUFFERED_INPUT_STREAM

          public static final String BUFFERED_INPUT_STREAM

      See Also:
        Constant Field Values

    - #### CARBON_SERVER_XML_NAMESPACE

          public static final String CARBON_SERVER_XML_NAMESPACE

      See Also:
        Constant Field Values

    - #### CHUNKING_CONFIG

          public static final String CHUNKING_CONFIG

      See Also:
        Constant Field Values

    - #### DEFAULT_VERSION_HTTP_1_1

          public static final String DEFAULT_VERSION_HTTP_1_1

      See Also:
        Constant Field Values

    - #### HTTP_1_1

          public static final float HTTP_1_1

      See Also:
        Constant Field Values

    - #### HTTP_1_0

          public static final float HTTP_1_0

      See Also:
        Constant Field Values

    - #### HTTP_2_0

          public static final String HTTP_2_0

      See Also:
        Constant Field Values

    - #### HTTP_VERSION_PREFIX

          public static final String HTTP_VERSION_PREFIX

      See Also:
        Constant Field Values

    - #### HTTP_1_0_VERSION

          public static final String HTTP_1_0_VERSION

      See Also:
        Constant Field Values

    - #### HTTP_1_1_VERSION

          public static final String HTTP_1_1_VERSION

      See Also:
        Constant Field Values

    - #### HTTP_2_0_VERSION

          public static final String HTTP_2_0_VERSION

      See Also:
        Constant Field Values

    - #### AUTO

          public static final String AUTO

      See Also:
        Constant Field Values

    - #### ALWAYS

          public static final String ALWAYS

      See Also:
        Constant Field Values

    - #### NEVER

          public static final String NEVER

      See Also:
        Constant Field Values

    - #### PROTOCOL_HTTP

          public static final String PROTOCOL_HTTP

      See Also:
        Constant Field Values

    - #### PROTOCOL_HTTPS

          public static final String PROTOCOL_HTTPS

      See Also:
        Constant Field Values

    - #### CHANNEL_HANDLER_CONTEXT

          public static final String CHANNEL_HANDLER_CONTEXT

      See Also:
        Constant Field Values

    - #### HTTP_DEFAULT_HOST

          public static final String HTTP_DEFAULT_HOST

      See Also:
        Constant Field Values

    - #### TO

          public static final String TO

      See Also:
        Constant Field Values

    - #### HTTP_HOST

          public static final String HTTP_HOST

      See Also:
        Constant Field Values

    - #### HTTP_PORT

          public static final String HTTP_PORT

      See Also:
        Constant Field Values

    - #### HTTP_TRACE_LOG

          public static final String HTTP_TRACE_LOG

      See Also:
        Constant Field Values

    - #### HTTP_TRACE_LOG_ENABLED

          public static final String HTTP_TRACE_LOG_ENABLED

      See Also:
        Constant Field Values

    - #### HTTP_ACCESS_LOG

          public static final String HTTP_ACCESS_LOG

      See Also:
        Constant Field Values

    - #### HTTP_ACCESS_LOG_ENABLED

          public static final String HTTP_ACCESS_LOG_ENABLED

      See Also:
        Constant Field Values

    - #### KEY_STORE

          public static final String KEY_STORE

      See Also:
        Constant Field Values

    - #### TRUST_STORE

          public static final String TRUST_STORE

      See Also:
        Constant Field Values

    - #### SSL_VERIFY_CLIENT

          public static final String SSL_VERIFY_CLIENT

      See Also:
        Constant Field Values

    - #### SSL_PROTOCOL

          public static final String SSL_PROTOCOL

      See Also:
        Constant Field Values

    - #### HTTPS_PROTOCOL

          public static final String HTTPS_PROTOCOL

      See Also:
        Constant Field Values

    - #### CLIENT_REVOCATION

          public static final String CLIENT_REVOCATION

      See Also:
        Constant Field Values

    - #### PREFERRED_CIPHERS

          public static final String PREFERRED_CIPHERS

      See Also:
        Constant Field Values

    - #### SSL_SESSION_TIMEOUT

          public static final String SSL_SESSION_TIMEOUT

      See Also:
        Constant Field Values

    - #### SSL_HANDSHAKE_TIMEOUT

          public static final String SSL_HANDSHAKE_TIMEOUT

      See Also:
        Constant Field Values

    - #### HOSTNAME_VERIFIER

          public static final String HOSTNAME_VERIFIER

      See Also:
        Constant Field Values

    - #### STORE_LOCATION

          public static final String STORE_LOCATION

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final String PASSWORD

      See Also:
        Constant Field Values

    - #### KEY_PASSWORD

          public static final String KEY_PASSWORD

      See Also:
        Constant Field Values

    - #### NO_VALIDATE_CERT

          public static final String NO_VALIDATE_CERT

      See Also:
        Constant Field Values

    - #### SSL_ENABLED_PROTOCOLS

          public static final String SSL_ENABLED_PROTOCOLS

      See Also:
        Constant Field Values

    - #### CIPHERS

          public static final String CIPHERS

      See Also:
        Constant Field Values

    - #### CACHE_SIZE

          public static final String CACHE_SIZE

      See Also:
        Constant Field Values

    - #### CACHE_DELAY

          public static final String CACHE_DELAY

      See Also:
        Constant Field Values

    - #### TLS_PROTOCOL

          public static final String TLS_PROTOCOL

      See Also:
        Constant Field Values

    - #### HTTP_HEAD

          public static final String HTTP_HEAD

      See Also:
        Constant Field Values

    - #### HTTP_GET

          public static final String HTTP_GET

      See Also:
        Constant Field Values

    - #### HTTP_POST

          public static final String HTTP_POST

      See Also:
        Constant Field Values

    - #### HTTP_DELETE

          public static final String HTTP_DELETE

      See Also:
        Constant Field Values

    - #### HTTP_PUT

          public static final String HTTP_PUT

      See Also:
        Constant Field Values

    - #### HTTP_OPTIONS

          public static final String HTTP_OPTIONS

      See Also:
        Constant Field Values

    - #### HTTP_CONNECT

          public static final String HTTP_CONNECT

      See Also:
        Constant Field Values

    - #### HTTP_STATUS_CODE_SENT_FROM_BACKEND

          public static final String HTTP_STATUS_CODE_SENT_FROM_BACKEND

      See Also:
        Constant Field Values

    - #### HTTP_REASON_PHRASE_SENT_FROM_BACKEND

          public static final String HTTP_REASON_PHRASE_SENT_FROM_BACKEND

      See Also:
        Constant Field Values

    - #### SENDING_FAULT

          public static final String SENDING_FAULT

      An Axis2 message context property indicating a transport send failure.
      See Also:
        Constant Field Values

    - #### ERROR_CODE

          public static final String ERROR_CODE

      The message context property name which holds the error code for the last encountered exception.
      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE

          public static final String ERROR_MESSAGE

      The MC property name which holds the error message for the last encountered exception.
      See Also:
        Constant Field Values

    - #### ERROR_DETAIL

          public static final String ERROR_DETAIL

      The message context property name which holds the error detail (stack trace) for the last encountered exception.
      See Also:
        Constant Field Values

    - #### ERROR_EXCEPTION

          public static final String ERROR_EXCEPTION

      The message context property name which holds the exception (if any) for the last encountered exception.
      See Also:
        Constant Field Values

    - #### RAW_PAYLOAD

          public static final String RAW_PAYLOAD

      An Axis2 message context property that hols the raw payload when an error occurs while building message.
      See Also:
        Constant Field Values

    - #### FAULTS_AS_HTTP_200

          public static final String FAULTS_AS_HTTP_200

      When ESB receives a soap fault as a HTTP 500 message, ESB will forward this fault to client with status code 200.
      See Also:
        Constant Field Values

    - #### SC_ACCEPTED

          public static final String SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### HTTP_SC

          public static final String HTTP_SC

      The HTTP status code.
      See Also:
        Constant Field Values

    - #### HTTP_SC_DESC

          public static final String HTTP_SC_DESC

      HTTP response's Reason- Phrase that is sent by the backend. For example, if the backend sends the response's status as HTTP/1.1 200 OK, then the value of HTTP_SC_DESC is OK.
      See Also:
        Constant Field Values

    - #### FORCE_HTTP_1_0

          public static final String FORCE_HTTP_1_0

      Force HTTP 1.0 for outgoing HTTP messages.
      See Also:
        Constant Field Values

    - #### DISABLE_CHUNKING

          public static final String DISABLE_CHUNKING

      If you set this to true, it disables HTTP chunking for outgoing messages.
      See Also:
        Constant Field Values

    - #### REQUEST_HOST_HEADER

          public static final String REQUEST_HOST_HEADER

      The value of this property will be set as the HTTP host header of outgoing request.
      See Also:
        Constant Field Values

    - #### NO_KEEPALIVE

          public static final String NO_KEEPALIVE

      Disables HTTP keep alive for outgoing requests.
      See Also:
        Constant Field Values

    - #### POST_TO_URI

          public static final String POST_TO_URI

      This property makes the outgoing URL of the ESB a complete URL. This is important when we talk through a Proxy Server.
      See Also:
        Constant Field Values

    - #### FORCE_HTTP_CONTENT_LENGTH

          public static final String FORCE_HTTP_CONTENT_LENGTH

      If the request sent by the client contains the ‘Content-Length’ header, this property allows the ESB to send the request with the content length (without HTTP chunking) to the back end server.
      See Also:
        Constant Field Values

    - #### FORCE_SC_ACCEPTED

          public static final String FORCE_SC_ACCEPTED

      When set to true, this property forces a 202 HTTP response to the client immediately after the current execution thread finishes, so that the client stops waiting for a response.
      See Also:
        Constant Field Values

    - #### IGNORE_SC_ACCEPTED

          public static final String IGNORE_SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### HTTP_ETAG_ENABLED

          public static final String HTTP_ETAG_ENABLED

      This property determines whether the HTTP Etag should be enabled for the request or not. HTTP Etag is a mechanism provided by HTTP for Web cache validation.
      See Also:
        Constant Field Values

    - #### SET_CHARACTER_ENCODING

          public static final String SET_CHARACTER_ENCODING

      See Also:
        Constant Field Values

    - #### HTTP_202_RECEIVED

          public static final String HTTP_202_RECEIVED

      A message context property indicating "TRUE". This will set on success scenarios.
      See Also:
        Constant Field Values

    - #### DEFAULT_OUTBOUND_USER_AGENT

          public static final String DEFAULT_OUTBOUND_USER_AGENT

      See Also:
        Constant Field Values

    - #### SERVER_PUSH_SEQUENCE

          public static final String SERVER_PUSH_SEQUENCE

      A message context property that stores the sequence that process server pushes.
      See Also:
        Constant Field Values

    - #### PUSH_PROMISE

          public static final String PUSH_PROMISE

      A message context property that has the push promise from backend server if it is a server push response.
      See Also:
        Constant Field Values

    - #### SERVER_PUSH_RESOURCE_PATH

          public static final String SERVER_PUSH_RESOURCE_PATH

      A synapse message context property that defines the resource path of the push response.
      See Also:
        Constant Field Values

    - #### SERVER_PUSH

          public static final String SERVER_PUSH

      A message context property indicating "TRUE" means the response is a server push.
      See Also:
        Constant Field Values

    - #### IS_PUSH_PROMISE

          public static final String IS_PUSH_PROMISE

      A message context property indicating "TRUE" means the response is a server push promise.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BridgeConstants

          public BridgeConstants()